clang-tools 10.0.0

Namespaces | Functions
Trigram.cpp File Reference
`#include "Trigram.h"`
`#include "FuzzyMatch.h"`
`#include "Token.h"`
`#include "llvm/ADT/ArrayRef.h"`
`#include "llvm/ADT/DenseSet.h"`
`#include "llvm/ADT/StringExtras.h"`
`#include <cctype>`
`#include <queue>`
`#include <string>`
Include dependency graph for Trigram.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd
| clang::clangd::dex

## Functions
std::vector< Token > | clang::clangd::dex::generateIdentifierTrigrams (llvm::StringRef Identifier)
| Returns list of unique fuzzy-search trigrams from unqualified symbol. More...
std::vector< Token > | clang::clangd::dex::generateQueryTrigrams (llvm::StringRef Query)
| Returns list of unique fuzzy-search trigrams given a query. More...